#ifndef __CPPBCSDK
#define __CPPBCSDK

typedef enum
{
	FACE = 0,
	VEHICLE,
	PERSON,
}ENUM_DEVICEABILITY;

typedef struct 
{ 
	char sDeviceIP[64]; 
	char sUserName[64]; 
	char sPassword[64]; 
	int  iLoginTimeout;//ͬloginĳʱʱ䣬λms.500ʾ500ms 
}BC_STRUCT_LOGININFO; 
 
typedef struct 
{ 
	unsigned int uiDeviceSessionID; 
	unsigned int uiDeviceAbility; 
	char sDeviceName [128]; 
}BC_STRUCT_DEVICEINFO; 
 
typedef struct 
{ 
	int top; 
	int bottom; 
	int left; 
	int right; 
}BC_STRUCT_RECT; 

typedef struct  
{ 
	unsigned int uiSessionID;// BC_Device_LoginصID 
	unsigned int uiState;//豸ǰ״̬=0ʾ豸ߣ=1ʾ豸ߡ 
}BC_STRUCT_DEVICE_STATE;


typedef struct{ 
	unsigned int uiSessionID;// BC_Device_LoginصID 
	unsigned char *smallpicbuf;//ͼָ,ݸʽΪJPG 
	int smallpicbufsize;//ͼݴС 
	unsigned char *bigpicbuf;//ͼָ룬ݸʽΪJPG 
	int bigpicbufsize;//ͼݴС 
	unsigned long faceID;//ͼΨһʶšǰ豸 0 ʼڸ豸Ψһ 
	unsigned char timestring[64];//ͼʱ䣨ȷ룩ʽ£20190214131400ʾ201921413140 11 
	BC_STRUCT_RECT rect;//ͼڱͼеꡣ 
}BC_STRUCT_FACEINFO; 
 



//벻ҪڻصĲ,龡Ľ
typedef void (*BC_DeviceState_callback)( BC_STRUCT_DEVICE_STATE *pMsgInfo,unsigned int iMsgLen,unsigned long ulUserData); 
typedef void (*BC_FaceMsg_callback)( BC_STRUCT_FACEINFO *pMsgInfo,unsigned int iMsgLen,unsigned long ulUserData);											
#ifdef __cplusplus

extern "C" {

#endif
int BC_Init_Sdk(BC_FaceMsg_callback pMsgcallback,BC_DeviceState_callback pDevcallback, unsigned long ulUserData);

int BC_Device_Login(BC_STRUCT_LOGININFO *pstLogininfo, BC_STRUCT_DEVICEINFO *pstDeviceinfo); 

int BC_Start_Listen (unsigned short usPort);//= 0  success  

int BC_Uninit_Sdk();

int BC_Device_Logout(unsigned int uiSessionID); 

int BC_Stop_Listen(); 

int BC_Get_DeviceAbility(unsigned int uiSessionID,unsigned int *puiAbility);

int BC_Get_SDKVERSION(char *chVersion,int chlen);

int  BC_Set_ListenIp(char *chIpAddr);


void BC_Set_LogFullPath(char *fullPath);


#ifdef __cplusplus

  }

#endif /* end of __cplusplus */

#endif
 


